Iphone sdk : The model used to open the store is incompatible with the one used to create the store error

Today i’m playing around with core data. I’ve had created the model of the database and run the program, everything was ok. Than i realized that one of the relationship i had is a has many not has one so i’ve changed this relationship and re run the program… and than the crash. Console reported this error :

The model used to open the store is incompatible with the one used to create the store.

F**K. After googled a little i’ve discovered that if you do some changes to the model this error occours and to solve you have to

Delete the application from the simulato or the device you have the program installed!!!

Posted in Uncategorized
4 comments on “Iphone sdk : The model used to open the store is incompatible with the one used to create the store error
  1. Simon says:

    Don’t know when this was posted but THANK YOU for the solution!

  2. nick says:

    +1 thank you! Thought a quick change in the model would get me out of trouble, instead it brought this one up. Simply delete and resimulate was the answer. Thanks 🙂

  3. admin says:

    Dear Kanna, thanks for the link.
    I’ve tried the auto migrate method for a program i’ve just released and it worked

Leave a Reply

Your email address will not be published. Required fields are marked *

*

When i write…

March 2011
M T W T F S S
« Jan   Apr »
 123456
78910111213
14151617181920
21222324252627
28293031  

Me @ twitter